QGIS Application - Bug report #14167
JPEG2000 rendering issue
2016-01-25 08:00 AM - Mathieu SIG

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.12.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Description

Hi,

I'm experiencing trouble with the QGIS renderer for JPEG2000.

| have to validate an image mosaic product, with an output in JPEG2000.

Though, when I'm trying to open it in QGIS (2.4, 2.8, 2.12), the image presents abnormal residue on some parts of the canvas. It looks like
some kind of odd fuzziness. | join you a quick capture and a gdalinfo result on this file, so you can take a look at it.

I've tried to open it on Intergraph's ER Viewer 2014 : same problem.
I've tried to open it on ESRI's ArcMap 10.2 : the image is perfectly rendered...!

I'm pretty sure that the image was not produced thanks to an ESRI suite, but probably from another software (TNTMips | reckon).
Plus, the JP2 metadata highlights a JP2ECW 5.0 driver.

What can explain that difference?
Thanks for any explanation.

And thanks for everything you're doing for the geospatial community, btw.
Best regards,

Mathieu K.,
from the CRIGE PACA, France

History

#1 - 2016-01-25 09:29 AM - Martin Dobias

Hi, thanks for the report. Could you please attach a raster file that has this problem?

#2 - 2016-01-25 09:30 AM - Martin Dobias

- Status changed from Open to Feedback

#3 - 2016-01-26 12:33 AM - Mathieu SIG

Hi,

Thanks for your answer.

Unfortunately, | cannot link the image due to licence issues, for the moment at least. I'll try to speed up the publication and will get back to you (in few

weeks).
| was wandering if it was a known issue?

Regards,

Mathieu

#4 - 2016-01-26 06:03 AM - Martin Dobias

To my knowledge it is not a known issue. If linking the raster publicly is an issue, feel free to share it privately (e.g. by mail / using dropbox) with me or other

dev, it will not be disclosed to a third party.

#5 - 2016-02-05 03:43 AM - Giovanni Manghi

- Category set to Rasters

see #14206

try installing the ecw library(?).

Please give it a try and leave feedback.

#6 - 2016-02-07 11:56 PM - Mathieu SIG

Hi Giovanni,
ECW library are installed | suppose. I've tried to tick/untick as following :

- JP2ECW inactive, JP20penJPEG active : causes major problem to my computer, it freezes, no other alternative than reboot it...(whether with QGIS
2.8 (or2.12))

- JP2ECW active, JP20penJPEG inactive : | observe the same artifacts on my image as given above...

As soon as | get the green light to publish my image, I'll get back to you with it!
Thanks.

Regards,

Mathieu

#7 - 2016-02-25 02:59 AM - Mathieu SIG

Hi,

Please find here the URL to download the incriminated raster :

http://we.tl/vAaXs6KMxO
Thanks for absolutly NOT DISTRIBUTING it in any way, since it's not yet under the ownership of my company.

And thanks for any piece of information about that issue!

Regards,
Mathieu

#8 - 2016-04-10 12:06 AM - Giovanni Manghi
Mathieu SIG wrote:

Hi,

Please find here the URL to download the incriminated raster :

http://we.tl/vAaXs6KMxO
Thanks for absolutly NOT DISTRIBUTING it in any way, since it's not yet under the ownership of my company.

Hi, the download is not available anymore, please provide another link. Thanks.

#9 - 2016-04-11 04:50 AM - Mathieu SIG

Hi,

Here's an updated url :
https://we.tl/SNIUS7iuMF
Thanks,

Mathieu

#10 - 2016-04-11 05:35 AM - Jukka Rahkonen
Gdalinfo report shows which driver was used for reading the file. With kdu_show viewer's properties tool | could see that JPEG2000 is actually written with
Kakadu v. 6.4.1 SDK. However, kdu_show viewer compiled with Kakadu SDK v. 7.3.2 does not show the image correctly at all. Only when zoomed in into

800% resolution the image look good but at any courser resolution kdu_show shows very bad artifacts.

| would say that only a good JPEG2000 expert can tell what is wrong or uncommon in the image.

#11 - 2016-04-11 06:06 AM - Mathieu SIG
Thanks for the feedback.
Very interesting to know that Kakadu encounters problem reading it.

And that it was produced using Kakadu drivers.

However, these artifacts don't appear in ArcMap10.2.
That led me to think that the matter doesn't come from the file itself but from the drivers/renderers.

Is it smg known when using Kakadu drivers to produce files?
| adress this question since | am more and more concerned about the jpeg2000 "practical” interoperability for our end users...

#12 - 2016-04-11 07:54 AM - Giovanni Manghi

anyway, how this is a qgis issue? isn't eventually an issue of the libraries that allow open such formats vis gdal?

#13 - 2016-04-11 08:29 AM - Mathieu SIG

I'm not sure how to answer to the latter?
Itis certainly a QGIS issue since | face it using this softwre, and | don't get the "right" image on screen.
But it's not certain that the problem is in its source code, as far as | understand Jukkha contribution, cause it might have something relate to the library

(GDAL) it has chosen to implement.

But then, how/where should | address the problem?

#14 - 2016-04-11 10:17 AM - Giovanni Manghi

But then, how/where should | address the problem?

if it turns to be a gdal problem then it must be filed there not here.

#15 - 2016-04-11 11:43 AM - Jukka Rahkonen

The image is in one tile with a size of 54116, 51734. It will mean that the OpenJPEG2000 driver will not open it because it runs out of memory. This
limitation is in the OpenJPEG library, not in QGIS or GDAL.

I made further tests with kdu_show 6.0 (32-bit) which opens image fine. Kdu_show v. 7.3.2 (32-bit) opens image also fine but 64-bit version which | used
first makes bad result. Also converting the jp2 image into GeoTIFF with kdu_expand (64-bit) gives an unusable result.

If Intergraph's ER Viewer 2014 has problems with this image as well as GDAL with ECWJP2 driver then the problem probably comes from the SDK itself. |
am not sure what it means that 64-bit kdu_show 7.3.2 has problems as well. It may be some faulty Windows build or bug in that SDK version. Newest

Kakadu version is 7.8.

| would suggest to file a GDAL ticket and follow it through this QGIS issue.

#16 - 2016-04-13 07:58 AM - Giovanni Manghi

- Status changed from Feedback to Closed
- Resolution set to up/downstream

Files
mkazmiers_renderer_qgis2.12.PNG 108 KB 2016-01-25 Mathieu SIG
gdalininfo_compo.ixt 1.92 KB 2016-01-25 Mathieu SIG
